Skip to main content
POST
/
tenant-auth
/
v1
/
identity-providers
/
{identityProviderId}
/
domains
/
{domain}
/
verify
Perform DNS TXT verification for an identity provider email domain
curl --request POST \
  --url https://api.swarmd.ai/tenant-auth/v1/identity-providers/{identityProviderId}/domains/{domain}/verify \
  --header 'Authorization: Bearer <token>'
{
  "domain": "<string>",
  "expectedTxtRecordName": "<string>",
  "expectedTxtRecordValue": "<string>",
  "verifiedAt": "2023-11-07T05:31:56Z",
  "lastCheckedAt": "2023-11-07T05:31:56Z",
  "lastCheckError": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

identityProviderId
string<uuid>
required
domain
string
required

Response

200 - */*

OK

domain
string
status
enum<string>
Available options:
PENDING,
VERIFIED
expectedTxtRecordName
string
expectedTxtRecordValue
string
verifiedAt
string<date-time>
lastCheckedAt
string<date-time>
lastCheckError
string